2

On ubuntu 18.04 I'm looking to install via apt the container software Singularity in version 3.3 or above. However ubuntu's default repo universe offers Singularity (as the package singularity-container) only in version version 2.4.

Is there another repo for ubuntu 18.04 LTS I can add which installs Singularity version 3.3 or higher?

1
  • You can always just compile from sources. It's relatively easy and well explained on the official Sylab website. Ask a follow question if you hit errors! Dec 13 '20 at 18:28
0

Not really an answer, but my solution:

Install Centos 7 instead if ubuntu 18.04. This has Singularity 3.5.3 on the EPEL repository available.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.